Bring back a keyword archived when the plan dropped to Free
curl --request POST \
--url https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"text": "<string>",
"source": "gsc",
"volume": 123,
"position": 123,
"url": "<string>",
"clicks": 123,
"topic": "product",
"status": "active",
"archivedAt": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Bring back a keyword archived when the plan dropped to Free
POST
/
v1
/
projects
/
{id}
/
keywords
/
{keywordId}
/
reactivate
Bring back a keyword archived when the plan dropped to Free
curl --request POST \
--url https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/keywords/{keywordId}/reactivate"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"text": "<string>",
"source": "gsc",
"volume": 123,
"position": 123,
"url": "<string>",
"clicks": 123,
"topic": "product",
"status": "active",
"archivedAt": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
Path Parameters
Project id (proj_…) or slug (the domain with dots as dashes).
Keyword id (kw_…).
Response
Keyword
Available options:
gsc, labs_ranked, labs_gap, labs_ideas, user Available options:
product, adjacent, off Available options:
active, archived